<?php

/** 
* Polish Language File developed by mybboard.pl for Colorful Annoucements 1.0
* Tłumaczenie: szulcu
* Poprawki: Ekipa Polskiego Supportu MyBB (mybboard.pl)
* Wersja 1.0
**/ 

/**
 *  Renkli Duyuru  -  Colorful Announcements
 * Copyright 2008 -  LowBattery - www.lowbattery.info
 */

if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

$plugins->add_hook("index_start", "renkliduyuru_index_start");

function renkliduyuru_info()
{	
	return array(
		"name" => "Colorful annoucements",
		"description" => "Pokazuje kolorowe ogłoszenia na stronie głównej forum",
		"website" => "http://www.mybbturkiye.com",
		"author" => "LowBattery",
		"authorsite" => "http://www.lowbattery.info",
		"version" => "1.0",
		"compatibility" => "14*",
	);
}

function renkliduyuru_install()
{
    global $settings, $mybb, $db;
	
if($db->field_exists("rduyurus", "users"))
	{
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."users DROP rduyurus"); 
	}
	
    $settings_group = array(
        'gid'          => 'NULL',
        'name'         => 'rduyurup',
        'title'        => 'Ustawienia Colorful annoucements',
        'description'  => 'Edytuj ustawienia wtyczki Colorful annoucements.',
        'disporder'    => '2',
        'isdefault'    => 'no'
    );
    $db->insert_query('settinggroups', $settings_group);
    $gid = $db->insert_id();
	
    $setting = array(
        'sid'          => 'NULL',
        'name'         => 'duyuru',
        'title'        => 'Ogłoszenia',
        'description'  => 'Podaj treść ogłoszeń pokazywanych na stronie głównej.',
        'optionscode'  => 'textarea',
        'value'        => 'by (LowBattery).info - MyBBTurkiye.com<br \\>Tłumaczenie - <a href="http://www.mybboard.pl" title="Polski Support MyBB">Polski Support MyBB</a>',
        'disporder'    => '1',
        'gid'          => intval( $gid )
    );
    $db->insert_query( 'settings', $setting );	
	
    $setting = array(
        'sid'          => 'NULL',
        'name'         => 'renk1',
        'title'        => 'Tło',
        'description'  => 'Podaj kolor tła.',
        'optionscode'  => 'textarea',
        'value'        => '#D6ECA6',
        'disporder'    => '4',
        'gid'          => intval( $gid )
    );
    $db->insert_query( 'settings', $setting );	
		
    $setting = array(
        'sid'          => 'NULL',
        'name'         => 'renk2',
        'title'        => 'Górne obramowanie',
        'description'  => 'Podaj kolor górnej krawędzi.',
        'optionscode'  => 'textarea',
        'value'        => '#8DC93E',
        'disporder'    => '7',
        'gid'          => intval( $gid )
    );
    $db->insert_query( 'settings', $setting );	
	
    $setting = array(
        'sid'          => 'NULL',
        'name'         => 'renk3',
        'title'        => 'Dolne obramowanie',
        'description'  => 'Podaj kolor dolnej krawędzi.',
        'optionscode'  => 'textarea',
        'value'        => '#8DC93E',
        'disporder'    => '10',
        'gid'          => intval( $gid )
    );
    $db->insert_query( 'settings', $setting );				
		
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."users ADD rduyurus int NOT NULL default 0");

	rebuild_settings();
	
	$insertarray = array(
		"title" => "rduyuru",
		"template" => "<style>
.duyuru {
    background: {\$mybb->settings[\'renk1\']};
    border-top: 2px solid {\$mybb->settings[\'renk2\']};
    border-bottom: 2px solid {\$mybb->settings[\'renk3\']};
    text-align: center;
    margin: 10px auto;
    padding: 5px 20px;
}
</style>
<p class=\"duyuru\"><b>{\$mybb->settings[\'duyuru\']}</b></p>
<br>",
		"sid" => -1,
		"dateline" => TIME_NOW
	);
	
	$db->insert_query("templates", $insertarray);
}

function renkliduyuru_is_installed()
{
	global $db;
	
	if($db->field_exists("rduyurus", "users"))
	{
		return true;
	}
	
	return false;
}

function renkliduyuru_activate()
{
	global $db;
	
	include MYBB_ROOT."/inc/adminfunctions_templates.php";
	
	find_replace_templatesets("index", "#".preg_quote("{\$header}")."#i", "{\$header}\r\n{\$rduyuru}");
}

function renkliduyuru_deactivate()
{
	global $db;
	
	include MYBB_ROOT."/inc/adminfunctions_templates.php";
	
	find_replace_templatesets("index", "#".preg_quote("\r\n{\$rduyuru}")."#i", "", 0);
}

function renkliduyuru_uninstall()
{
	global $db;
	
	if($db->field_exists("rduyurus", "users"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."users DROP rduyurus"); 
	}
	$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name='rduyurup'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='duyuru'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='renk1'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='renk2'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='renk3'");
	
	rebuild_settings();
	
	$db->delete_query("templates", "title = 'rduyuru'");
}

function renkliduyuru_index_start()
{
	global $db, $mybb, $templates, $rduyuru;
	
	eval("\$rduyuru = \"".$templates->get("rduyuru")."\";");
}
?>